dir=$1
name=$2
path=./test1

run() {
	file=$1
	$dir/bin/pg_ctl -D $path -l logfile start

	for c in 7 27 53 83 ; do
		$dir/bin/pgbench -c $c -j $c -t 10000 -S -M prepared postgres 2>&1 >/dev/null
	done

	{
		for c in 1 2 3 5 ; do
			$dir/bin/pgbench -c $c -j $c -t 40000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 40000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 40000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 40000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 40000 -S -M prepared postgres
		done
		for c in 7 17 27 53 ; do
			$dir/bin/pgbench -c $c -j $c -t 30000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 30000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 30000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 30000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 30000 -S -M prepared postgres
		done
		for c in 83 107 139 163 ; do
			$dir/bin/pgbench -c $c -j $c -t 20000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 20000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 20000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 20000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 20000 -S -M prepared postgres
		done
		for c in 191 211 239 271 307 353 397 ; do
			$dir/bin/pgbench -c $c -j $c -t 20000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 20000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 20000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 20000 -S -M prepared postgres
			$dir/bin/pgbench -c $c -j $c -t 20000 -S -M prepared postgres
		done
	} | \
	perl -ne '$|=1; /number of clients:\s*(\d+)/ && print "'$file',$1,"; /tps = (\d+)/ && print "$1\n";' \
	| tee $file.out

	$dir/bin/pg_ctl -D $path -l logfile stop
}

$dir/bin/pg_ctl -D $path -l logfile stop
sed -i 's/shared_buffers = \S*/shared_buffers = 128MB/' $path/postgresql.conf
run $name
sed -i 's/shared_buffers = \S*/shared_buffers = 1GB/' $path/postgresql.conf
run ${name}.1G
